package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方当日油井状态
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
@TableName("third_current_well_condition")
public class ThirdCurrentWellConditionEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("下次启停时间")
    @TableField
    private Date nextTime;

    @XText("井口状态(开/停井)")
    @TableField
    private String wellStatus;

    @XText("累计产液量(m³)")
    @TableField
    private BigDecimal cumulativeProduction;

    @XText("开井时长(h)")
    @TableField
    private BigDecimal runningTime;

    @XText("来源系统")
    @TableField
    private String systemSource;
}
