package pps.core.prediction.service.data.third_current_well_condition;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方当日油井状态
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
public class QueryThirdCurrentWellConditionOutput {
    @XText("ID")
    private Long id;

    @XText("井号")
    private String wellNumber;

    @XText("下次启停时间")
    private Date nextTime;

    @XText("井口状态(开/停井)")
    private String wellStatus;

    @XText("累计产液量(m³)")
    private BigDecimal cumulativeProduction;

    @XText("开井时长(h)")
    private Integer runningTime;

    @XText("来源系统")
    private String systemSource;
}
